CRYPTO_AHASH_FINAL(9)

NAME
crypto_ahash_final - calculate message digest

SYNOPSIS

int crypto_ahash_final(struct ahash_request * req);

ARGUMENTS

req
    reference to the ahash_request handle that holds all information needed to perform the cipher operation

DESCRIPTION

Finalize the message digest operation and create the message digest based on all data added to the cipher handle. The message digest is placed into the output buffer registered with the ahash_request handle.

RETURN

0 if the message digest creation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT